/* src/core/include/tsp_prjcfg.h.  Generated by configure.  */
/* -*- c -*-

@configure_input@

$Id: tsp_prjcfg.h.in,v 1.7 2005/10/09 23:01:24 erk Exp $

-----------------------------------------------------------------------

TSP Library - core components for a generic Transport Sampling Protocol.

Copyright (c) 2002 Yves DUFRENNE, Stephane GALLES, Eric NOULARD and Robert PAGNOT

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

-----------------------------------------------------------------------

Project   : TSP
Maintainer: tsp@astrium-space.com
Component : Consumer / Provider

-----------------------------------------------------------------------
Purpose   : some includes
-----------------------------------------------------------------------
@configure_input@
 */

#ifndef __TSP_PRJCFG_H
#define __TSP_PRJCFG_H

#include "tsp_abs_types.h"
#include "tsp_const_def.h"
#include "tsp_simple_trace.h"

/* defines the global TSP modules */

/**
 * @defgroup TSP
 * The Transport Sample Protocol.
 * TSP is a networked enabled  multi-consumer multi-provider
 * protocol for sampling data, TSP is designed for efficiency
 * and ease of use.
 */

/**
 * @defgroup TSP_Lib
 * The TSP programming library
 * @ingroup TSP
 */

/**
 * @defgroup Core
 * The TSP Core module is the module
 * includes core TSP framework utility.
 * @ingroup TSP_Lib
 */

/**
 * @defgroup TSP_Applications
 * The final TSP applications, either TSP consumer
 * (GUI or not) or TSP provider.
 * @ingroup TSP
 */

/**
 * @defgroup TSP_Consumers
 * The TSP consumer applications.
 * @ingroup TSP_Applications
 */

/**
 * @defgroup TSP_Providers
 * The TSP providers applications.
 * @ingroup TSP_Applications
 */


/**
 * @defgroup TSP_Utils
 * The TSP utilities.
 * This consists in several libraries which may save
 * a great amount of time when using TSP.
 * Some TSP provider and consumer us thos libs.
 * @ingroup TSP
 */

#endif /* _PRJCFG_H */
